# TODO
# - setup symlink for firefox in post script
Summary:	Extension that enables Gnome Keyring integration
Name:		mozilla-addon-gnome-keyring
Version:	0.10
Release:	3
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	https://github.com/swick/mozilla-gnome-keyring/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e633c093acd2ab86d342fb83fefb95f0
Patch0:		firefox-version.patch
URL:		https://github.com/swick/mozilla-gnome-keyring/
# libgnome-keyring.so.0 is dlopened (content/gnome-keyring.js)
Requires:	libgnome-keyring
# not noarch due %{_libdir} use
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# this comes from install.rdf
%define		extension_ffox_id	\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define		extension_tbird_id	\{3550f703-e582-4d05-9a08-453d09bdfdc6\}
%define		extension_id		gnome-keyring-integration@sebastianwick.net

%define		extensionsdir		/usr/lib/mozilla/extensions

%description
This extension replaces the default password manager in both Firefox
and Thunderbird with an implementation which stores the passwords in
Gnome keyring.

This allows for safe storage of passwords without prompting for
password after Firefox or Thunderbird has been started.

%prep
%setup -qn mozilla-gnome-keyring-%{version}
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{extensionsdir}/%{extension_ffox_id}/%{extension_id}
install -d $RPM_BUILD_ROOT%{extensionsdir}/%{extension_tbird_id}

ln -s %{extensionsdir}/%{extension_ffox_id}/%{extension_id} $RPM_BUILD_ROOT%{extensionsdir}/%{extension_tbird_id}/%{extension_id}

unzip bin/*.xpi -d $RPM_BUILD_ROOT%{extensionsdir}/%{extension_ffox_id}/%{extension_id}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- icedove
test -L %{_libdir}/icedove/extensions/%{extension_tbird_id} || \
	ln -sf %{extensionsdir}/%{extension_tbird_id} %{_libdir}/icedove/extensions/%{extension_tbird_id}

%triggerun -- icedove
if [ "$1" = "0" ] || [ "$2" = "0" ] && [ -L %{_libdir}/icedove/extensions/%{extension_tbird_id} ]; then
	rm -f %{_libdir}/icedove/extensions/%{extension_tbird_id}
fi

%files
%defattr(644,root,root,755)
%dir %{extensionsdir}/%{extension_ffox_id}
%dir %{extensionsdir}/%{extension_ffox_id}/%{extension_id}
%{extensionsdir}/%{extension_ffox_id}/%{extension_id}/chrome.manifest
%{extensionsdir}/%{extension_ffox_id}/%{extension_id}/install.rdf
%{extensionsdir}/%{extension_ffox_id}/%{extension_id}/chrome
%{extensionsdir}/%{extension_ffox_id}/%{extension_id}/components
%{extensionsdir}/%{extension_ffox_id}/%{extension_id}/content
%{extensionsdir}/%{extension_ffox_id}/%{extension_id}/defaults
%dir %{extensionsdir}/%{extension_tbird_id}
%{extensionsdir}/%{extension_tbird_id}/%{extension_id}
%changelog
* Sun Nov 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mozilla-addon-gnome-keyring.git;a=log;h=master

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> f4c511a
- disable noarch

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 50b3add
- libgnome-keyring.so.0 is dlopened, not libsecret

* Sun Nov 01 2015 Jan Rękorajski <baggins@pld-linux.org> 7f552d1
- the old C extension is unmaintaned and dead, switched to new JS based implementation
- noarch package

* Fri Oct 30 2015 Jan Rękorajski <baggins@pld-linux.org> 8e96e97
- add threads library to link options

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 32d1bd2
- release 10 (by relup.sh)

* Sun Aug 02 2015 Jan Rękorajski <baggins@pld-linux.org> fd6dbe1
- release 9 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 592212c
- release 8 (by relup.sh)

* Sun Apr 19 2015 Jan Rękorajski <baggins@pld-linux.org> d49371c
- release 7 (by relup.sh)

* Sun Feb 01 2015 Jan Rękorajski <baggins@pld-linux.org> ba6ea7e
- release 6 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> 73d5166
- add missing hook to register extension in an app

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 5f0bda1
- release 4 (by relup.sh)

* Sun Oct 19 2014 Jan Rękorajski <baggins@pld-linux.org> 5b2bcb7
- fix building with firefox 33
- rel 3

* Sat Oct 04 2014 Jan Rękorajski <baggins@pld-linux.org> 8dffe3f
- fix building with firefox 32+
- rel 2

* Thu May 22 2014 Jan Rękorajski <baggins@pld-linux.org> 727308a
- up to 0.6.11

* Thu May 22 2014 Jan Rękorajski <baggins@pld-linux.org> 9de395a
- release 4 (by relup.sh)

* Sun Mar 23 2014 Jan Rękorajski <baggins@pld-linux.org> 1a4e1df
- fix shell syntax

* Sun Mar 23 2014 Jan Rękorajski <baggins@pld-linux.org> 0d5a4dd
- upstream fixes for firefox 27+
- rel 3

* Sun Mar 23 2014 Jan Rękorajski <baggins@pld-linux.org> 7c5d004
- release 2 (by relup.sh)

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> dd55837
- up to 0.6.9; works with icedove 24.2.0

* Fri Jun 28 2013 Jan Rękorajski <baggins@pld-linux.org> 85886ca
- release 2 (by relup.sh)

